QGIS Application - Bug report #20758
Print Composer doesn't show symbols in legend
2018-12-09 02:35 AM - John Payne

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.2 Regression?: Yes
Operating System: OS X 10.14.1 (Mojave) Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 28578
Description

I'm trying to implement a workaround for making a Print Composer legend for a symbol that has two characteristics: size (related to one
variable) and color (related to another). The workaround consists of duplicating the layer and showing the characteristics separately.

In the attached file, you can see that the symbols for "Number of visitors" show correctly in the Legend "ltem Properties" dialog, but they
don't appear on the Print Composer legend itself.

| find the Print Composer extremely frustrating to use, because of its multiple bugs and inconsistencies.

History

#1 - 2018-12-10 10:12 AM - Giovanni Manghi

- Category changed from Map Legend to Map Composer/Printing

- Status changed from Open to Feedback

- Subject changed from Print Composer doesn't show symbols to Print Composer doesn't show symbols in legend

Does it works as expected on 2.187?

#2 - 2018-12-10 06:33 PM - John Payne

Giovanni Manghi wrote:

Does it works as expected on 2.187

Yes, it shows the symbols as expected. It seems no longer possible to collect the different size symbols inside the largest one, though, which is a nice
feature; instead it shows them all spread out.

#3 - 2018-12-10 06:53 PM - Giovanni Manghi
- Status changed from Feedback to Open

- Regression? changed from No to Yes

- Priority changed from Normal to High

#4 - 2018-12-11 01:06 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to duplicate
Duplicate of #9747 (also a symptom of #11491)

#5 - 2018-12-11 11:35 AM - Giovanni Manghi

Nyall Dawson wrote:

Duplicate of #9747 (also a symptom of #11491)

The issuer says it works as expected on 2.18, so this could not be a duplicate after all. Can the issuer confirm it please?

Files
